+ Post New Thread
Page 5 of 617 FirstFirst ... 3 4 5 6 7 15 55 105 505 ... LastLast
Threads 101 to 125 of 15420

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 66,920
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 64,775
    18th Sep 2006 10:46 pm Go to last post
  1. Crossing Feature Line Lisp routine

    I was wondering if there was a way to create a lisp routine that allows the user to select a feature line and then at any point where another feature line crosses it, it would either add a pi or an...

    Started by broncos15‎, 30th Oct 2015 12:48 am
    3 Pages
    1 2 3
    • Replies: 24
    • Views: 5,782
    24th May 2017 07:19 am Go to last post
  2. Trying to find a way to get sum of attributes from a selection that updates dynamical

    Greetings all, I have a simple LISP that works as follows; 1. I define an attribute with a tag "GPM" (for irrigation) 2. I create a block with the attribute inside and assign a value to the...

    Started by ptrain03‎, 23rd May 2017 11:30 pm
    • Replies: 3
    • Views: 292
    24th May 2017 04:44 am Go to last post
  3. unlock all layers

    Hi,:shock: I wonder if anyone knows a lisp to unlock all the layers. Thanks, Marco

    Started by marmo‎, 28th Jul 2010 12:53 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 32
    • Views: 20,282
    24th May 2017 01:31 am Go to last post
  4. Incremental saving

    Hi there, I'm a begginer as far as coding goes so I'll just throw this out there. :) I'm trying to make a LISP routine that incrementaly saves my file with changing filename, so.. what I'm...

    Started by xces‎, 9th Jan 2015 02:40 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 2,083
    23rd May 2017 11:18 pm Go to last post
  5. http://www.theswamp.org/

    Can one tell me why I can not access this page me. thank you :x:x:x Kann mir eine sagen warum ich auf diese Seite nicht mehr zugreifen kann. Danke

    Started by dober‎, 31st May 2016 05:16 am
    3 Pages
    1 2 3
    • Replies: 24
    • Views: 6,659
    23rd May 2017 07:59 pm Go to last post
  6. Get closest point to new point from a list

    Hello everybody, i have a list with coördinates called 'TESTLIST' !testlist ((106213.0 507453.0 0.078) (106220.0 507452.0 0.12) (106229.0 507450.0 0.067) (106236.0 507449.0 0.082) (106242.0...

    Started by Aftertouch‎, 18th May 2017 12:27 pm
    • Replies: 8
    • Views: 435
    23rd May 2017 02:28 pm Go to last post
  7. Draw bisector line

    Dear all . Choose 2 line (maybe 2 segment of pline) , Horizontal line or Angle line Input ”number of bisector" Draw bisector line Any Suggest ? Sorry for my English , Mybe need some...

    Started by 77077‎, 17th May 2017 12:12 pm
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 1,119
    23rd May 2017 12:53 pm Go to last post
  8. Call function outside of command [LISP]

    Hi, i'm trying to create a piece of code with a messagebox that ask a question (yes/no) which in turn should set an value that i can use in the 'main' command. (Defun FUNCTION (reply) (SETQ...

    Started by OMEGA-ThundeR‎, 23rd May 2017 08:29 am
    • Replies: 5
    • Views: 277
    23rd May 2017 09:44 am Go to last post
  9. Temp Hold Layer State

    Hi Everyone, Is it possible to temporarily hold a layer state in memory and then restore it? I am working on a drawing cleanup LiSP and part of what it does is bind xrefs and then clean up the...

    Started by Cylis0509‎, 22nd May 2017 07:08 pm
    • Replies: 2
    • Views: 277
    23rd May 2017 08:50 am Go to last post
  10. Lisp to create layer gives error

    Hi, i want to make an 'create layer' lisp so i can switch layers by command. i don't want any errors and they don't show in the very basic version. (Defun C:HulplijnA () (command "-Layer"...

    Started by OMEGA-ThundeR‎, 22nd May 2017 03:38 pm
    • Replies: 3
    • Views: 290
    23rd May 2017 07:32 am Go to last post
  11. create a point in vertical distance from a line

    Hi, i am trying to convert hanhphuc lisp from an old post to create a point in vertical distance from a line like the photo. Can any one help me ? (defun c:test (/ os asin _line p1 p2 d2 l1 ad d...

    Started by prodromosm‎, 21st May 2017 02:03 pm
    • Replies: 4
    • Views: 447
    23rd May 2017 03:16 am Go to last post
  12. Working with Nil

    Hi everyone, I am using a LiSP found online as part of a larger LiSP I am building. The routine looks for not_found/unreferenced/orphaned/unloaded images and removes them. It works when images are...

    Started by Cylis0509‎, 22nd May 2017 04:23 pm
    • Replies: 3
    • Views: 279
    22nd May 2017 11:34 pm Go to last post
  13. Help - Select lines and overlaping in the same coordinate

    In the attached file, two lines are represented, apparently overlapping. In fact there is one out of the way between 0.0001. Someone will be able to achieve a routine that makes it possible to...

    Started by teknomatika‎, 19th May 2017 03:36 pm
    • Replies: 4
    • Views: 533
    22nd May 2017 11:46 am Go to last post
  14. how to make a list from a set of points

    Greetings everyone i have a set of points say: p1 = (x1 , y1 , z1) p2 = (x2 , y2 , z2) p3 = (x3 , y3 , z3) when i use (setq lst (cons p1 lst) )

    Started by handasa‎, 21st May 2017 06:52 am
    • Replies: 5
    • Views: 446
    21st May 2017 11:07 pm Go to last post
  15. [Civil 3D] Create TIN surface with points

    The Civil 3D can create a surface with AutoCAD points. The image belove is a way to create a surface. How to create a surface using Lisp. To select points, I want to use the (ssget) function.

    Started by Kowal‎, 20th May 2017 12:42 pm
    • Replies: 1
    • Views: 302
    21st May 2017 01:48 am Go to last post
  16. How to offset multiple polyline from one segment

    Greetings everyone ... iam looking for a way to solve this problem i have a lisp that conncect multiple blocks to one base block in the drawing ... it will draw polylines as the case called...

    Started by handasa‎, 19th May 2017 07:10 pm
    • Replies: 5
    • Views: 351
    21st May 2017 01:14 am Go to last post
  17. Autoselect nearest closed polyline that surrounds text entity

    Hi All, I'm after an Autolisp function that basically does the following: User selects a text Script finds nearest closed polyline that the text's insertion point lies inside I.e. Given a...

    Started by alm865‎, 2nd Aug 2016 08:01 am
    4 Pages
    1 2 3 ... 4
    • Replies: 32
    • Views: 4,459
    20th May 2017 06:55 pm Go to last post
  18. time convert

    Hello everybody, I want to convert time format and i don't know how. This function i use to obtain time when a file was modified: (defun time (Fil x / FilObj FilSys RetVal) (setq FilSys...

    Started by SELFCAD‎, 20th May 2017 01:52 pm
    • Replies: 2
    • Views: 224
    20th May 2017 05:44 pm Go to last post
  19. Exploding ONLY nested blocks

    Hi Tried to look for something like the topic says but only found topics that explodes everything. And I want to explode ONLY the blocks that are inside a block and then keeping the main block...

    Started by ChristopherM‎, 18th May 2017 05:01 pm
    • Replies: 3
    • Views: 429
    19th May 2017 08:37 pm Go to last post
  20. Sum Numbers in Mtext Fields to Mtext Field

    Hello everybody, This is my first post on CADTutor. I've been reading alot here even before I became a member, but it is time for me to join the community with a question since I cannot find the...

    Started by muurr‎, 3rd Mar 2011 03:51 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 10,896
    19th May 2017 05:27 pm Go to last post
  21. Autolisp to Add Classic GroupName

    i tried making a lisp to create classic groups (defun c:CG (/ ss q1) (while T (setq ss (ssget "_:S" '((0 . "LINE")))) (setq q1 (getString "\nEnter GROUP: ")) (COMMAND "Group" "create" q1 "" ss...

    Started by ktbjx‎, 18th May 2017 11:50 am
    • Replies: 3
    • Views: 298
    19th May 2017 04:14 pm Go to last post
  22. Needing help with a LISP file

    I work for a utility company and we developed a system to export data from a database that contains information (UTM locations and identifier tag numbers) about utility poles on our system, then we...

    Started by Cgoff‎, 26th Apr 2017 08:46 pm
    • Replies: 7
    • Views: 487
    19th May 2017 02:10 pm Go to last post
  23. Question cvport variable issue

    I am working on a drawing that only has two viewports, so the cvport should be 1 for the paperspace window, 2 for the first viewport, and 3 for the second viewport, but the last viewport is 4. When I...

    Started by MiGo‎, 30th Mar 2009 03:24 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 6,219
    19th May 2017 08:59 am Go to last post
  24. Validation of edit boxes

    Hello everyone, Given below is an adaptation of a lisp code of dialog by Lee Mac. I want to validate the edit boxes with the code supplied. However the values supplied after initialization doesn't...

    Started by aloy‎, 15th May 2017 03:16 am
    • Replies: 2
    • Views: 323
    19th May 2017 06:05 am Go to last post
  25. Join polyline

    Hello experts; I have to solve this Polyline Join issue drawing attached: red circles area to be joined as required single for solid hatch, This type of files getting from the Road design...

    Started by sivapathasunderam‎, 18th May 2017 03:12 pm
    • Replies: 4
    • Views: 278
    19th May 2017 05:34 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts